<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Motivator</title>
  <!-- Bootstrap CSS only -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
</head>
<body>
Hello World! I am Django app Motivator!
<section class="vh-100" style="background-color: #eee;">
  <div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col col-lg-9 col-xl-7">
        <div class="card rounded-3">
          <div class="card-body p-4">
            <h4 class="text-center my-3 pb-3">Tasks for {{ today }}!!!</h4>
            <form action="#" method="post">
              {% csrf_token %}
              {{form}}
              <button class="btn btn-primary" style="padding:5px">
                <a class="btn">Add Task</a>
              </button>
              <div>
                Click Confirm when the task is finished. It will update DB and after that refresh UI.
              </div>
            </form>
            <table class="table mb-4">
              <thead>
                <tr>
                  <th scope="col"></th>
                  <th scope="col">Task</th>
                  <th scope="col">Status</th>
                  <th scope="col">Frequency</th>
                  <th scope="col">Actions</th>
                </tr>
              </thead>
              <tbody>
                {% for key, value in tasks.items %}
                <tr>
                  <th scope="row">-></th>
                  <td>{{ key }} : {{  value.dates }}</td>
                  <td>
                    <div class="form-check">
                    <input class="form-check-input" disabled type="checkbox" {% if value.dates %} checked {% endif %} id="flexCheckDefault">
                  </div>
                  </td>
                  <td>
                    <div class="form-check">
                      {{ value.frequency }}
                    </div>
                  </td>
                  <td>
                    <button class="btn btn-success" style="padding:5px" {% if value.dates %} disabled {% endif %}>
                      <a class="btn" href="/{{key}}/" >Finished</a>
                    </button>
                    <button class="btn btn-secondary" style="padding:5px">
                      <a class="btn" href="/{{key}}/edit/">Edit</a>
                    </button>
                    <button class="btn btn-info" style="padding:5px">
                      <a class="btn" href="/{{key}}/history/">History</a>
                    </button>
                  </td>
                </tr>
                {% endfor %}
              </tbody>
            </table>

          </div>
        </div>
      </div>
    </div>
  </div>
</section>
</body>
</html>